language: rust

before_script:
    - wget https://github.com/facebook/rocksdb/archive/rocksdb-3.13.tar.gz
    - tar xvf rocksdb-3.13.tar.gz && cd rocksdb-rocksdb-3.13 && make shared_lib
    - make install
    - cd ..

after_success:
    - sudo apt-get install libcurl4-openssl-dev libelf-dev libdw-dev
    - wget https://github.com/SimonKagstrom/kcov/archive/master.tar.gz
    - tar xzf master.tar.gz && mkdir kcov-master/build && cd kcov-master/build && cmake .. && make && sudo make install && cd ../.. &&
    - kcov --coveralls-id=$TRAVIS_JOB_ID --exclude-pattern=/.cargo target/kcov target/debug/ethcore_util-*
